%numerical flux of the Enquist-Osher scheme for 1D scalar
%conservation laws with convex flux function

function value = F_EO(u,v,s)
  %vectorized version (default)
  if(1)
    value = f(u) + f(min(v,s)) - f(min(u,s));

  %non-vectorized version
  else
    for i=1:length(u),
      value(i) = f(u(i)) + f(min(v(i),s)) - f(min(u(i),s));
    end;
  end;