%matlab-file: charact.m

M    =  20;
N    =  20;
alfa =  -1;
beta =   1;
cn   = 0.7;
dx   = (beta-alfa)/M;
x    = [alfa+dx/2:dx:beta-dx/2];
v0   = 0.4*sin(2*pi*(x-alfa)/(beta-alfa));
y    = zeros(1,M);
a    = max(abs(df(v0)));
dt   = cn*dx/a;
vmin = -1; %1.1*min(v0);
vmax =  1; %1.1*max(v0);



for n=0:N,
  t = n*dt;
  y = alfa + mod((x-alfa) - t*df(v0), beta-alfa);
  figure(1); clf; hold on;

  plot([alfa-dx/2 y beta+dx/2],[v0(M) v0 v0(1)],'k-');
  plot(y,v0,'r-');
  title(['t = ' blanks(1) num2str(t)]);
  axis([alfa beta vmin vmax]);
  pause;
end;


